:root {
    --buttonsColor: #58afe3;
    --buttonsColorRGBA: rgba(88,175,227,.7);
    --darkGrey: #21252b;
    --grey:#404754;
    --ligthGrey:#6d7077;

    font-size: 14px;
}


@media only screen and (max-width: 480px) {

    body{
        display: block;
    }
    
    header {
        height: auto;
        width: 90%;
        position: static;
        margin: 0 auto;
        margin-top: 100px;
        padding-bottom: 30px;
    }

    div.profileImg {
        width: 150px;
        height: 100px;
        position: relative;
        bottom: 75px;
    }

    header div.profileImg img {
        width: 100%;
    }

    header .mail i {
        padding: 10px 10px 10px 10px;
    }


    /******************************************/

    main{
        width: 90%;
        margin: 100px auto;
    }

    main .content3 {
        display: none;
    }

    main .navBar {
        height: 40px;
        /* overflow: hidden; */
        transition: 1s ease;
    }

    main .navBar.visible {
        overflow: visible;
        transition: 1s ease;
    }

    main .navBar .burger {
        display: inline;
        background: none;
        color: white;
        border: none;
        padding: 0 10px;
        font-size: 16px;
        cursor: pointer;
    }

    main .navBar nav {
        width: 100%;
        position: absolute;
        top: 40px;
        height: 0px;
        transition: height 1s ease;
        overflow: hidden;
    }

    main .navBar nav.visible{
        height: 200px;
    }

    main .navBar nav ul {
        flex-direction: column;
    }

    main .navBar nav ul li,
    main .navBar nav ul li.knowledges{
        width: 100%;
    }

    main .navBar nav ul li a {
        background-color: var(--darkGrey);
    }

    main .content {
        justify-content: flex-start;
    }

    aside p {
        padding: 5px;
    }

    main .content2 {
        overflow: auto;
    }

    main .content2 > section {
        padding: 100px 20px 0 20px;
    }

    main .presentation .greet {
        margin-bottom: 10px;
    }

    .animated-text {
        font-size: 3rem;
        padding-left: 0px;
        margin-bottom: 10px;
        min-width: auto;
    }

    .animated-text span::after {
        display: none;
    }

    .animated-text span::before{
        animation: none;
        content: "Fullstack Developer";
        color: var(--buttonsColor);
    }

    main .content2 section.description{
        padding-left: 10px;
        padding-right: 10px;
    }

    main .content2 section.description .title {
        font-size: 1.2rem;
    }

    main .content2 section.description p {
        margin-top: 5px;
    }

    .input-container {
        text-align: start;
        width: 100%;
    }

    .knowledges .knowledges-box.frameworks-db-box {
        flex-direction: column;
    }

    .knowledges .knowledges-box.frameworks-db-box .database-box {
        margin-left: 0px;
    }

    .card {
        width: 100%;
        height: 160px;
    }

    .card-body {
        align-items: flex-start;
        padding: 20px;
    }

    .card-title {
        font-size: 1.5rem;
    }

    .card-info {
        margin: 0;
        font-size: 0.714rem;
    }

    .card-btn {
        font-size: 12px;
        padding: 7px 15px;
        width: auto;
        margin-top: 5px;
    }

    .card-btn i{
        margin-left: 2px;
    }

    

}

@media only screen and (max-width: 768px){

    main .navBar {
        height: 40px;
        /* overflow: hidden; */
        transition: 1s ease;
    }

    main .navBar.visible {
        overflow: visible;
        transition: 1s ease;
    }

    main .navBar .burger {
        display: inline;
        background: none;
        color: white;
        border: none;
        padding: 0 10px;
        font-size: 16px;
        cursor: pointer;
    }

    main .navBar nav {
        width: 100%;
        position: absolute;
        top: 40px;
        height: 0px;
        transition: height 1s ease;
        overflow: hidden;
    }

    main .navBar nav.visible{
        height: 200px;
    }

    main .navBar nav ul {
        flex-direction: column;
    }

    main .navBar nav ul li,
    main .navBar nav ul li.knowledges{
        width: 100%;
    }

    main .navBar nav ul li a {
        background-color: var(--darkGrey);
    }

    .content {
        justify-content: start;
    }

    .animated-text span::after {
        display: none;
    }

    .content3{
        display: none;
    }
}

@media only screen and (max-width: 1024px){
    body {
        display: block;
    }
    
    header {
        height: auto;
        width: 90%;
        position: static;
        margin: 0 auto;
        margin-top: 100px;
        padding-bottom: 30px;
    }

    main{
        width: 90%;
        margin: 100px auto;
    }
}


@media only screen and (max-width: 1090px){
    .animated-text span::after {
        display: none;
    }

}

